Package twisted :: Package words :: Module ircservice :: Class IRCGateway

[show private | hide private]
[frames | no frames]

## Class IRCGateway

    Factory --+
              |
             IRCGateway

Method Summary
| `__init__(self, service)`
| ``buildProtocol`(self, connection)` Build an IRC protocol to talk to my chat service.
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Method Details

### buildProtocol(self, connection)

Build an IRC protocol to talk to my chat service.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:34 2003 | http://epydoc.sf.net